Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xml.xpath
Interface Expression

All Known Implementing Classes:
  AbsoluteLocationPath, AndExpr, AssignVariableTemplate, AVT, BadExpression, BinaryExpr, BooleanExpr, BooleanValue, BrokenNotEqualsExpr, ComparisonExpr, DivExpr, EqualsExpr, FilterExpr, FunctionCall, GreaterThanEqualsExpr, GreaterThanExpr, IdentityExpr, InsertionOrderNodeSet, LessThanEqualsExpr, LessThanExpr, MinusExpr, ModExpr, MulExpr, NodeSet, NodeSetExpr, NotEqualsExpr, NumberExpr, NumberValue, OrExpr, PathExpr, PlusExpr, RelativeLocationPath, StringValue, TopLevelVariableTemplate, UnaryExpr, UnionExpr, VariablePlaceholder, VariableReference, VariableTemplate, WithParamTemplate

    public interface Expression

Interface that describes the basic functionality of XPath expressions

Method Summary
`void` | `dump(PrintWriter writer, int indent)` Print the expression in a readable form for debugging.
`ExpressionValue` | `evaluate(Node contextNode, ExpressionContext context)` Evaluate the expression with repect to the passed context Note: The contextNode and context parameters may be null if and only if isConstant() returns true for the expression implementation.
`Class` | `getResultType()` Return the Class object describing the result type of the expression.
`boolean` | `isConstant()` Return true if the expression is a constant value.
`void` | `registerForReset(XPathResetRegistrar registrar)` Register this expression or any subexpression that implements XPathResetCache with an object that wants to call `resetCache()`

Method Detail

### evaluate

    ExpressionValue evaluate(Node contextNode,
                             ExpressionContext context)
                             throws XPathEvaluationException

  Evaluate the expression with repect to the passed context Note: The contextNode and context parameters may be null if and only if isConstant() returns true for the expression implementation.

  Parameters:
    `contextNode` - context node for expression evaluation
    `context` - expression context for expression evaluation
  Returns:
    result of evaluating expression
  Throws:
    `XPathEvaluationException`

### isConstant

    boolean isConstant()

  Return true if the expression is a constant value.

  Returns:
    True is expression is constant, false otherwise.

### getResultType

    Class getResultType()

  Return the Class object describing the result type of the expression.

  Returns:
    A Class object.

### registerForReset

    void registerForReset(XPathResetRegistrar registrar)

  Register this expression or any subexpression that implements XPathResetCache with an object that wants to call `resetCache()`

### dump

    void dump(PrintWriter writer,
              int indent)

  Print the expression in a readable form for debugging.

  Parameters:
    `writer` - The output device.
    `indent` - Number of tabs to indent the result.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD